# PeripheryPaymentsWithFee

*Developer note: Credit to Uniswap Labs under GPL-2.0-or-later license: <https://github.com/Uniswap/v3-periphery>*

## Functions

### unwrapWNativeTokenWithFee

`function unwrapWNativeTokenWithFee(uint256 amountMinimum, address recipient, uint256 feeBips, address feeRecipient) public payable` payable public

Unwraps the contract's WNativeToken balance and sends it to recipient as NativeToken, with a percentage between 0 (exclusive), and 1 (inclusive) going to feeRecipient *Developer note: The amountMinimum parameter prevents malicious contracts from stealing WNativeToken from users.*

| Name          | Type    | Description |
| ------------- | ------- | ----------- |
| amountMinimum | uint256 |             |
| recipient     | address |             |
| feeBips       | uint256 |             |
| feeRecipient  | address |             |

### sweepTokenWithFee

`function sweepTokenWithFee(address token, uint256 amountMinimum, address recipient, uint256 feeBips, address feeRecipient) public payable` payable public

Transfers the full amount of a token held by this contract to recipient, with a percentage between 0 (exclusive) and 1 (inclusive) going to feeRecipient *Developer note: The amountMinimum parameter prevents malicious contracts from stealing the token from users*

| Name          | Type    | Description |
| ------------- | ------- | ----------- |
| token         | address |             |
| amountMinimum | uint256 |             |
| recipient     | address |             |
| feeBips       | uint256 |             |
| feeRecipient  | address |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v2.0/v2.0-periphery/peripherypaymentswithfee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
